#ifndef _BUILDDESKTOPIMAGE_H_
#define _BUILDDESKTOPIMAGE_H_

#define WM_NI_MSG       (WM_APP+1) // user defined message for the shell notify icon
#define WM_HIDEWINDOW   (WM_USER+3) // user defined message

class CBuildDesktopImage
{
public:
    HWND hWnd;
    CBuildDesktopImage();
    ~CBuildDesktopImage(void);
    void SetHWnd(HWND hWnd);
    HBITMAP hBitmap;    // Desktop wallpaper bitmap
    CString m_szFontName;   // Font face name
    INT m_nFontSize;    // Font Size
    COLORREF m_crTextColor; // Text Color
    COLORREF m_crBackColor; // BackGround Color
    INT m_nXPos;        // Starting location X
    INT m_nYPos;        // Starting location Y
    INT m_nTransparency; // Transparency
    INT nVirtualScreenWidth;
    INT nVirtualScreenHeight;
    HDC hMemDC;
    HDC hDC;
    BOOL m_nBackgroundTransparency; // Background Transparency
    BOOL m_weekStartOnSunday;
    BOOL m_enableCalendar;
    CString Language;
public:
    BOOL SaveBitmap(HDC hDC, HBITMAP hBitmap, CString szPath);
    void StartBitmap();
    void SetImage(CString img, int style, int monitor, int x, int y, int xCount, int yCount);
    void StopBitmap();
    void ReadRegistry();
    void WriteRegistry();
    int CheckDate();
};

#endif
